﻿@page
@model ErrorModel
@{
    ViewData["Title"] = "Error";
}

<div class="jumbotron">
    <h1 class="display-1">Error</h1>
@*    <p class="lead">Internal server error</p>
*@    <hr class="my-4">
    <p>Sorry, something went wrong on our end. The <a href="mailto:webmaster@siteguide.org.au">webmaster</a> has been alerted to the problem and will look into it.</p>
</div>

@if (Model.ShowRequestId)
{
    <p>
        <strong>Request ID:</strong> <code>@Model.RequestId</code>
    </p>
}
@*
<h3>Development Mode</h3>
<p>
    Swapping to <strong>Development</strong> environment will display more detailed information about the error that occurred.
</p>
<p>
    <strong>Development environment should not be enabled in deployed applications</strong>, as it can result in sensitive information from exceptions being displayed to end users. For local debugging, development environment can be enabled by setting the <strong>ASPNETCORE_ENVIRONMENT</strong> environment variable to <strong>Development</strong>, and restarting the application.
</p>
*@